Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 614604 - invalid backtraces by gdb 7.0.1-23.el5
invalid backtraces by gdb 7.0.1-23.el5
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
12
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Jan Kratochvil
Fedora Extras Quality Assurance
: Regression
Depends On: 614028
Blocks: 614601
  Show dependency treegraph
 
Reported: 2010-07-14 16:46 EDT by Jan Kratochvil
Modified: 2010-10-02 17:32 EDT (History)
3 users (show)

See Also:
Fixed In Version: gdb-7.1-29.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 614028
Environment:
Last Closed: 2010-10-02 17:32:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Kratochvil 2010-07-14 16:46:33 EDT
+++ This bug was initially created as a clone of Bug #614028 +++

Created an attachment (id=431479)
Old Backtrace, New Backtrace and Binary to reproduce

Description of problem:
gdb produces invalid backtraces.

for example stackframe of threads:
#12 0x0000000001db3818 in ?? ()
#13 0x00000000477c3c01 in ?? ()
#14 0x00000000477c3c50 in ?? ()
Cannot access memory at address 0x2f1b16068d234f5

Version-Release number of selected component (if applicable):
7.0.1-23.el5 (gdb-6.8-37.el5 - RHEL 5.4 - works perfectly)

How reproducible:
(Attachment)

Steps to Reproduce:
1. Call Binary "BinaryToReproduce"
2. Binary will crash automatically with signal 6
3. Analyze coredump with gdb - following steps:
3.1 bt
3.2 info threads
3.3 thread apply all backtrace


  
Actual results:
see gdb.BinaryToReproduce_7.0.1-23.el5.txt in attached zip-archive.

Expected results:
see gdb.BinaryToReproduce_gdb-6.8-37.el5.txt in attached zip-archive.

Additional info:
Binary compliled with gcc version 4.1.2 20080704 (Red Hat 4.1.2-48).

--- Additional comment from jan.kratochvil@redhat.com on 2010-07-14 22:34:33 CEST ---

Fix + testcase at:
http://sourceware.org/ml/archer/2010-q3/msg00028.html
Comment 1 Fedora Update System 2010-07-20 13:33:59 EDT
gdb-7.1-29.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gdb-7.1-29.fc13
Comment 2 Fedora Update System 2010-07-20 14:07:21 EDT
gdb-7.0.1-49.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gdb-7.0.1-49.fc12

Note You need to log in before you can comment on or make changes to this bug.